View table column list

View the table’s field names, types, whether null values are allowed, default values, and key types.

HTTP
POST $CLOUDSIGMA_API_BASE/meta/table/column

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Request

Replace caller-specific values in the example with actual values.

Shell
curl -X POST "$CLOUDSIGMA_API_BASE/meta/table/column" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d "{\"db_name\":\"$DATABASE\",\"table_name\":\"$TABLE\"}"

Request body

ParameterTypeRequiredDescription
db_namestringRequiredThe name of the database where the table is located.
table_namestringRequiredThe name of the table to query the column definition.

Successful response

JSON
{
  "code": 200,
  "data": {
    "columns": [{"name": "id", "data_type": "INT", "nullable": "NO", "default_value": "", "key_type": "PRI", "comment": ""}],
    "total": 1
  }
}

The response fields are as follows.

Field

Type

Description

code

integer

200 on success.

data.columns

array

Column definition list.

data.columns[].name

string

Column name.

data.columns[].data_type

string

Data type.

data.columns[].nullable

string

Whether to allow null values; YES means allowed, NO means not allowed.

data.columns[].default_value

string

Default value; empty string if not set.

data.columns[].key_type

string

Key type.

data.columns[].comment

string

Column remarks.

data.total

integer

Number of columns.

In field paths, [] denotes each item in an array. For example, items[].name is the name field of each item in the items array.

Error response

JSON
{
  "code": 404,
  "message": "对象不存在"
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.

Follow-up operations

Save the identification of the target item, and then query table information.

Last updated on